import { ApexDiagnostic, CommonOptions } from '../utils';
export type ApexExecuteOptions = CommonOptions & {
    targetUsername?: string;
    apexFilePath?: string;
    apexCode?: string | Buffer;
    userInput?: boolean;
};
export declare const soapEnv = "soapenv:Envelope";
export declare const soapBody = "soapenv:Body";
export declare const soapHeader = "soapenv:Header";
export declare const action = "executeAnonymous";
export interface SoapResponse {
    [soapEnv]?: {
        [soapHeader]?: {
            DebuggingInfo: DebuggingInfo;
        };
        [soapBody]: {
            executeAnonymousResponse: {
                result: ExecAnonApiResponse;
            };
        };
    };
}
interface DebuggingInfo {
    debugLog: string;
}
export type ExecuteAnonymousResponse = {
    compiled: boolean;
    success: boolean;
    logs?: string;
    diagnostic?: ApexDiagnostic[];
};
export type ExecAnonApiResponse = {
    column: number;
    compiled: string;
    compileProblem: string | object;
    exceptionMessage: string | object;
    exceptionStackTrace: string | object;
    line: number;
    success: string;
};
export {};
