"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.nls = void 0;
const i18n_1 = require("./i18n");
const localization_1 = require("./localization");
function loadMessageBundle() {
    try {
        return new localization_1.Message(i18n_1.messages);
    }
    catch (e) {
        console.error('Cannot find messages in i18n module');
    }
    return undefined;
}
exports.nls = new localization_1.Localization(loadMessageBundle());
//# sourceMappingURL=index.js.map