"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidApexClassID = exports.isValidTestRunID = exports.isEmpty = exports.isTestResult = void 0;
const constants_1 = require("../tests/constants");
const isTestResult = (result) => 'summary' in result &&
    'tests' in result &&
    result.summary !== undefined &&
    result.tests !== undefined;
exports.isTestResult = isTestResult;
const isEmpty = (value) => value === null ||
    value === undefined ||
    (typeof value === 'string' && value.length === 0);
exports.isEmpty = isEmpty;
const isValidTestRunID = (testRunId) => isValidSalesforceId && testRunId.startsWith(constants_1.TEST_RUN_ID_PREFIX);
exports.isValidTestRunID = isValidTestRunID;
const isValidApexClassID = (apexClassId) => isValidSalesforceId(apexClassId) && apexClassId.startsWith(constants_1.CLASS_ID_PREFIX);
exports.isValidApexClassID = isValidApexClassID;
const isValidSalesforceId = (id) => id.length === 15 || id.length === 18;
//# sourceMappingURL=narrowing.js.map